Benefits & tax profiles

Get Tax Profile Form By Calculator Version ID

Returns the tax-profile form definition for a calculator version.

GEThttps://api.toku.com/hris/get-tax-profile-form-by-calculator-version-id

Required scope: payroll:read

curl --request GET \
  --url 'https://api.toku.com/hris/get-tax-profile-form-by-calculator-version-id?taxCalculatorVersionID=%3CtaxCalculatorVersionID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "taxProfileForm": {
    "countryName": "string",
    "countryTwoLetterName": "string",
    "countryThreeLetterName": "string",
    "taxCalculatorVersionID": 0,
    "taxCalculatorRegionFilterTargetCellID": 0,
    "taxProfileComponents": [
      {
        "targetCellID": 0,
        "label": "string",
        "type": "numeric",
        "defaultValue": "string",
        "options": [
          {
            "taxProfileComponentOptionID": 0,
            "label": "string",
            "value": "string"
          }
        ],
        "regionFilterKeyWord": "string"
      }
    ]
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

taxCalculatorVersionIDintegerrequired

Allowed: at least 1

Response

200Successful response
taxProfileFormobjectrequired
Show child attributes
countryNamestringrequired
countryTwoLetterNamestringrequired
countryThreeLetterNamestringrequired
taxCalculatorVersionIDintegerrequired
taxCalculatorRegionFilterTargetCellIDinteger | null
taxProfileComponentsobject[]required
Show child attributes
targetCellIDintegerrequired
labelstringrequired
typestringrequired

Available options: numeric, select

defaultValuestringrequired
optionsobject[]
Show child attributes
taxProfileComponentOptionIDintegerrequired
labelstringrequired
valuestringrequired
regionFilterKeyWordstring | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits